Ruby
jQuery
RubyOnRails
Rails5

[ Rails初心者向け ]Rails5.1以上のバージョンでjQueryを使う

初心者の方で、jqueryを使ってviewをいじったり、Ajax通信を実装したりしようとしてググってきたコードを貼り付けても動かないということは多いと思います。

それは、Rails5.1から仕様変更により、jQueryが標準実装されなくなったためです。

安心してください!めちゃくちゃ簡単です!

慌てることなく、しっかりと使えるようにやっていきましょう!

app/assets/javascript/application.js
//= require jquery
//= require jquery_ujs

次にGemfileにgemを追加します

gem 'jquery-rails'

追加し終わったらターミナルで

$ bundle  

を実行しましょう。
これjQueryを使うことができると思います!